#-------------------------------------------------
#
# Project created by QtCreator 2013-01-27T12:28:45
#
#-------------------------------------------------

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = fdd3000
TEMPLATE = app

SOURCES += main.cpp\
    gui.cpp \
    wd1772.cpp \
    fdd3000.cpp \
    diskImage.cpp \
    diskDSK.cpp \
    diskTRK.cpp \
    setupdlg.cpp \
    diskTosA2.cpp \
    fddLink.cpp

HEADERS  += gui.h \
    wd1772.h \
    fdd3000.h \
    diskImage.h \
    sleeper.h \
    setupdlg.h \
    z80/z80ex.h \
    z80/z80ex_dasm.h \
    z80/z80ex_common.h \
    fddLink.h

FORMS    += gui.ui \
    setup.ui

RESOURCES += \
    fdd3000.qrc

win32:RC_FILE = \
    fdd3000.rc

OTHER_FILES += \
    fdd3000e_pl_PL.ts

LIBS += -L$$PWD/z80/ -lz80ex
!unix: LIBS += -static-libgcc -static-libstdc++ -static
unix:  LIBS += -static-libgcc -static-libstdc++ -lrt

!unix: QMAKE_LFLAGS         += -static-libgcc -static-libstdc++ --disable-shared
!unix: QMAKE_CFLAGS_RELEASE += -static-libgcc -static-libstdc++ --disable-shared

INCLUDEPATH += $$PWD/z80
DEPENDPATH += $$PWD/z80

PRE_TARGETDEPS += $$PWD/z80/libz80ex.a

TRANSLATIONS    = fdd3000e_pl_PL.ts

